Posts etiquetados ‘apt-listbugs’

Hace unos días que Adobe anunció la paralización (¿momentánea?) del desarrollo de Flash en 64 bits en la única plataforma donde funcionaba: GNU/Linux. Con los problemas de seguridad de la versión 10.0.45 y  con ello la obligada actualización a la versión 10.1, los usuarios de Flash 64 bits nos hemos quedado con el culo al aire. Sin ir más lejos, en Debian, si nos actualizamos a la actual versión de Sid del paquete flashplugin-nonfree, será inutilizable para la arquitectura amd64, tal y como informa el utilísimo paquete apt-listbugs. ¿Qué hacer? La solución viene por el camino de usar Flash 32 bits, mediante unos sencillos pasos:

  • Editar el /etc/apt/sources.list metiendo añadiéndole el repositorio de debian-multimedia.

deb http://www.debian-multimedia.org testing main non-free deb http://www.debian-multimedia.org sid main non-free

  • Actualizar repositorios e instalar el paquete debian-multimedia-keyring, por el asunto de las firmas.
  • Instalar el paquete flashplayer-mozilla, en cuya operación desinstalará otros paquetes de flash previamente instalados, como el flashplugin-nonfree, e instalará otros necesarios para el apaño de flash32 en un navegador de 64 bits, como es el nspluginwrapper.

Otra alternativa es seguir de cerca el proyecto gnash, así como estar antentos a la bendita evolución de HTML5. Adobe ha decidido, como empresa que es, hacer lo que les da la gana (en su pleno derecho están) y dejar de dar soporte a Flash 64 bits en GNU/Linux. Cuando me pregunten por qué es mejor el Software mantenido por la comunidad VS el propietario, les comentaré este caso.

Anuncios

Es posible que, en una distribución Rolling Release como puede ser Debian Testing o Sid , nos encontremos de vez en cuando con bugs: fallos generalizados en los paquetes que nos limitarán o nos harán perder funcionalidades momentáneamente. Quiza más de una vez hayamos dicho: ¿ Por qué actualizarían Samba, con lo bien que iba ?

Pues bien, existe una manera de pensarnos dos veces si queremos actualizar X paquete: apt-listbugs. Esta utilidad comprueba en cada actualización/instalación si existe algún bug detectado en la versión, y nos avisa de ello, tanto si trabajamos en consola como si hacemos la actualización o instalación vía Synaptic.

Simplemente, para que trabaje, deberemos instalarlo mediante un:

apt-get install apt-listbugs

o mediante Synaptic, claro está.

Ahora podremos decidir si conviene esperarse a actualizar o instalar cierto paquete. También, y en la línea de este post, recordaré la importancia de la página de paquetes de Debian, donde también nos avisan de bugs y de actualizaciones, como ya comenté en otra ocasión.

Ah, y no dejemos, en la medida de lo posible, de ayudar a la comunidad en la detección de esos bugs, instalando y usando de vez en cuando el programa reportbug (disponible en los repositorios). El beneficio es para todos.